QGIS Application - Bug report #18789
Import of CSV-Data
2018-04-22 10:58 AM - Christian Brechler

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.0.1 Regression?: No
Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 26676
Description

Hello everyone,

I'm not sure if it's actually a bug or just me.

Yesterday | tried to import a csv-file with numerous Data into Qgis to join it to an geospatial layer.

The joining worked perfectly but the Data was defined as string value but should be integer.

| switched to version 2.18.16 and it worked as it should. Maybe | just could convert it (I don't know how yet) but I think it shouldn't naturally
be that way.

If there's someone interested in focussing the problem and needs more information I'd be glad to help.

regards,
Christian

Related issues:

Related to QGIS Application - Bug report # 18601: QGIS3: texts with leading z... Closed 2018-03-31
Related to QGIS Application - Bug report # 12783: Import CSV via "add delimit... Closed 2015-05-20
History

#1 - 2018-04-22 01:18 PM - Richard Duivenvoorde

Not sure on what basis QGIS decides the column type, but you could use a csvt file:

https://anitagraser.com/2011/03/07/how-to-specify-data-types-of-csv-columns-for-use-in-qgis/

#2 - 2018-04-22 03:22 PM - Jiirgen Fischer
- Related to Bug report #18601: QGIS3: texts with leading zero get integers added

#3 - 2018-04-22 03:24 PM - Jiirgen Fischer
- Related to Bug report #12783: Import CSV via "add delimited text layer" ignores Date fields in CSVT added

#4 - 2019-02-23 01:20 PM - Alberto Grava
Can you provide csv-file so we can test it?

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#5 - 2019-02-23 01:29 PM - Giovanni Manghi
- Status changed from Open to Feedback
https://anitagraser.com/2011/03/07/how-to-specify-data-types-of-csv-columns-for-use-in-qgis/

Alberto Grava wrote:

Can you provide csv-file so we can test it?
Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

Please set status to "feedback” if necessary.

#6 - 2019-02-23 01:39 PM - Christian Brechler

Alberto Grava wrote:

Can you provide csv-file so we can test it?
Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

| think with the next Version the problem was fixed so there's nothing to handle anymore. Sorry | should have closed the issue.

#7 - 2019-02-23 01:43 PM - Christian Brechler

ok I'm not able to close it.

#8 - 2019-02-23 08:39 PM - Jiirgen Fischer
- Resolution set to worksforme

- Status changed from Feedback to Closed
